<?php
include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
class c_services_events_poll_reg_result extends c_page_TXT
{ function show()
  {   ob_start() ;
	  /*
	  echo '<strong>$_POST:</strong><br>' ; damp_array($_POST,1,-1) ;
	  
      $pass_id=(isset($_POST['payload']['pass_id']))? $_POST['payload']['pass_id']:0 ;
      $media_id=(isset($_POST['payload']['media_id']))? $_POST['payload']['media_id']:0 ;
	  $event_name=(isset($_POST['event']))? $_POST['event']:'' ;
	  // если все передано корректно, регистрируем показ контента
      if ($event_name and $media_id and $pass_id)
      { $rec_event_pass=execSQL_van('select * from obj_site_events_pass where pkey='.$pass_id) ;
        $arr=array() ; $arr[]=$rec_event_pass ; echo '<strong>obj_site_events_pass:</strong><br>' ; print_2x_arr($arr) ;
        if ($rec_event_pass['pkey'])
        {  $event_id=$rec_event_pass['event_id'] ;
           $personal_id=$rec_event_pass['personal_id'] ;
	       $rec_media_content_view_prev=execSQL_van('select * from media_content_view where event_id='.$event_id.' and personal_id='.$personal_id.' and content_id='.$media_id) ;
	       $arr=array() ; $arr[]=$rec_media_content_view_prev ; echo '<strong>media_content_view:</strong><br>' ; print_2x_arr($arr) ;
	       $media_content_view_prev_id=($rec_media_content_view_prev['pkey'])? $rec_media_content_view_prev['pkey']:0;
	       $data=array('event_id'=>$event_id,
	                   'personal_id'=>$personal_id,
	                   'content_id'=>$media_id,
	       ) ;

	       // если повторый показ контента, фиксируем время начала показа
	       if ($media_content_view_prev_id and $event_name=='media-content-shown')  $data['c_data']=time() ;
	       // если окончание показа контента, фиксируем длительность показа
	       if ($media_content_view_prev_id and $event_name=='media-content-hidden')  $data['lengtn']=time()-$rec_media_content_view_prev['c_data'] ;

	       $arr=array() ; $arr[]=$data ; echo '<strong>$data:</strong><br>' ; $data($arr) ;
           if ($event_name=='media-content-shown' and !$media_content_view_prev_id)
           {  echo '<strong>Добавляем запись в таблицу media_content_view</strong><br>' ;
           	  adding_rec_to_table_fast('media_content_view',$data) ;
           }
           else
           {  echo '<strong>Обновляем запись в таблице media_content_view</strong><br>' ;
           	  update_rec_in_table('media_content_view',$data,'pkey='.$media_content_view_prev_id) ;
           }
        }
        else echo 'Не найдено записи в таблице obj_site_events_pass<br>' ;
      } else echo 'Не передано одно из значений (event_name, media_id, pass_id) <br>' ;

      */
      $text=ob_get_clean() ;
	  LOGS()->reg_log('c_services_events_poll_reg_result',$text,array('data'=>$_POST)) ;
  }





}